	subroutine subi2
c
	include '/u1/gcf/e350/crystal/cb/it'
c
	include '/u1/gcf/e350/crystal/cb/wenbin'
c
	include '/u1/gcf/e350/crystal/cb/datbin'
c
	include '/u1/gcf/e350/crystal/cb/igr'
c
	external ai2,resp,bmfunc
	dimension stbinb(140,7)
c
	noint=8
	do 1 it=1,notrig
	igr=igrp(it)
	ello=elow(it)
	noet=noe(it)
	do 2 i=1,noet
	call ai2lim(ello,de(it))
	stbinb(i,it)=binb(i,it)
	binb(i,it)=binb(i,it)-calct(ello,ai2,resp,bmfunc)
2		ello=ello+de(it)
1		continue
	return
	entry resi2
	do 3 it=1,ntrdis
	noet=noe(it)
	do 3 i=1,noet
3		binb(i,it)=stbinb(i,it)
	return
c
	end
